<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: container  YAHOO.widget.Module   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Container&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_container.html">container</a>
                 &gt; YAHOO.widget.Module 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.Module</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                        <dl class="subclasses">
                            <dt>Known Subclasses:</dd>
                            <dd>
                                    <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>
                            </dd>
                       </dl>
                
  

                    <div class="summary description">
                        Module is a JavaScript representation of the Standard Module Format. Standard Module Format is a simple standard for markup containers where child nodes representing the header, body, and footer of the content are denoted using the CSS classes "hd", "bd", and "ft" respectively. Module is the base class for all other classes in the YUI Container package.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.Module</strong>
                                <code>
                                    (
  
                                        
                                                
                                                el


                                                , 
                                                userConfig
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>el
                                                    &lt;String&gt; 
                                                    </code>
                                                    			The element ID representing the Module <em>OR</em>
                                                </dd>
                                                <dd>
                                                    <code>el
                                                    &lt;HTMLElement&gt; 
                                                    </code>
                                                    		The element representing the Module
                                                </dd>
                                                <dd>
                                                    <code>userConfig
                                                    &lt;Object&gt; 
                                                    </code>
                                                    	The configuration Object literal containing the configuration that should be set for this module. See configuration documentation for more details.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="body">body</a>
                                        <code>- HTMLElement</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The body element, denoted with CSS class "bd"
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="browser">browser</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            String representing the current user-agent browser
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="cfg">cfg</a>
                                        <code>- YAHOO.util.Config</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The Module's Config object used for monitoring configuration properties.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="contructor">contructor</a>
                                        <code>- Function</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The class's constructor function
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="element">element</a>
                                        <code>- HTMLElement</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The main module element that contains the header, body, and footer
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="footer">footer</a>
                                        <code>- HTMLElement</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The footer element, denoted with CSS class "ft"
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="header">header</a>
                                        <code>- HTMLElement</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The header element, denoted with CSS class "hd"
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="id">id</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The id of the element
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="imageRoot">imageRoot</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The String representing the image root
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="isSecure">isSecure</a>
                                        <code>- Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Boolean representing whether or not the current browsing context is secure (https)
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="platform">platform</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            String representing the current user-agent platform
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Module.CSS_BODY">YAHOO.widget.Module.CSS_BODY</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant representing the module body
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Module.CSS_FOOTER">YAHOO.widget.Module.CSS_FOOTER</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant representing the module footer
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Module.CSS_HEADER">YAHOO.widget.Module.CSS_HEADER</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant representing the module header
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Module.CSS_MODULE">YAHOO.widget.Module.CSS_MODULE</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant for the default CSS class name that represents a Module
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Module.IMG_ROOT">YAHOO.widget.Module.IMG_ROOT</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant representing the prefix path to use for non-secure images
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Module.IMG_ROOT_SSL">YAHOO.widget.Module.IMG_ROOT_SSL</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant representing the prefix path to use for securely served images
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Module.RESIZE_MONITOR_SECURE_URL">YAHOO.widget.Module.RESIZE_MONITOR_SECURE_URL</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant representing the url for the "src" attribute of the iframe used to monitor changes to the browser's base font size
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>


                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="appendToBody">appendToBody</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>appendToBody</strong>
                                           (
                                                
                                                        
                                                         element
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Appends the passed element to the body. If no body is present, one will be automatically created.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>element &lt;HTMLElement&gt;</code>
                                                            	The element to append to the body
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="appendToFooter">appendToFooter</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>appendToFooter</strong>
                                           (
                                                
                                                        
                                                         element
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Appends the passed element to the footer. If no footer is present, one will be automatically created.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>element &lt;HTMLElement&gt;</code>
                                                            	The element to append to the footer
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="appendToHeader">appendToHeader</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>appendToHeader</strong>
                                           (
                                                
                                                        
                                                         element
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Appends the passed element to the header. If no header is present, one will be automatically created.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>element &lt;HTMLElement&gt;</code>
                                                            	The element to append to the header
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="configMonitorResize">configMonitorResize</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>configMonitorResize</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Default event handler for the "monitorresize" configuration property
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type (usually the property name)
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments. For configuration handlers, args[0] will equal the newly applied value for the property.
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object. For configuration handlers, this will usually equal the owner.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="configVisible">configVisible</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>configVisible</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Default event handler for changing the visibility property of a Module. By default, this is achieved by switching the "display" style between "block" and "none".
This method is responsible for firing showEvent and hideEvent.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type (usually the property name)
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments. For configuration handlers, args[0] will equal the newly applied value for the property.
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object. For configuration handlers, this will usually equal the owner.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="destroy">destroy</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>destroy</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes the Module element from the DOM and sets all child elements to null.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="hide">hide</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>hide</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Hides the Module element by setting the visible configuration property to false. Also fires two events: beforeHideEvent prior to the visibility change, and hideEvent after.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>init</strong>
                                           (
                                                
                                                        
                                                         el
                                                    
                                                

                                                
                                                        , 
                                                         userConfig
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The Module class's initialization method, which is executed for Module and all of its subclasses. This method is automatically called by the constructor, and  sets up all DOM references for pre-existing markup, and creates required markup if it is not already present.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>el &lt;String&gt;</code>
                                                            	The element ID representing the Module <em>OR</em>
                                                        </dd>
                                                        <dd>
                                                            <code>el &lt;HTMLElement&gt;</code>
                                                            	The element representing the Module
                                                        </dd>
                                                        <dd>
                                                            <code>userConfig &lt;Object&gt;</code>
                                                            	The configuration Object literal containing the configuration that should be set for this module. See configuration documentation for more details.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initDefaultConfig">initDefaultConfig</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initDefaultConfig</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the custom events for Module which are fired automatically at appropriate times by the Module class.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initEvents">initEvents</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initEvents</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the custom events for Module which are fired automatically at appropriate times by the Module class.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initResizeMonitor">initResizeMonitor</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initResizeMonitor</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initialized an empty IFRAME that is placed out of the visible area that can be used to detect text resize.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="onDomResize">onDomResize</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>onDomResize</strong>
                                           (
                                                
                                                        
                                                         e
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Event handler fired when the resize monitor element is resized.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>e &lt;DOMEvent&gt;</code>
                                                            	The DOM resize event
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object passed to the handler
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="render">render</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Boolean
                                            <strong>render</strong>
                                           (
                                                
                                                        
                                                         appendToNode
                                                    
                                                

                                                
                                                        , 
                                                         moduleElement
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Renders the Module by inserting the elements that are not already in the main Module into their correct places. Optionally appends the Module to the specified node prior to the render's execution. NOTE: For Modules without existing markup, the appendToNode argument is REQUIRED. If this argument is ommitted and the current element is not present in the document, the function will return false, indicating that the render was a failure.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>appendToNode &lt;String&gt;</code>
                                                            	The element id to which the Module should be appended to prior to rendering <em>OR</em>
                                                        </dd>
                                                        <dd>
                                                            <code>appendToNode &lt;HTMLElement&gt;</code>
                                                            	The element to which the Module should be appended to prior to rendering
                                                        </dd>
                                                        <dd>
                                                            <code>moduleElement &lt;HTMLElement&gt;</code>
                                                            	OPTIONAL. The element that represents the actual Standard Module container.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Boolean
                                                    </code></dt>
                                                    <dd>Success or failure of the render</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="setBody">setBody</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>setBody</strong>
                                           (
                                                
                                                        
                                                         bodyContent
                                                    
                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the Module's body content to the HTML specified, or appends the passed element to the body. If no body is present, one will be automatically created.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>bodyContent &lt;String&gt;</code>
                                                            	The HTML used to set the body <em>OR</em>
                                                        </dd>
                                                        <dd>
                                                            <code>bodyContent &lt;HTMLElement&gt;</code>
                                                            	The HTMLElement to append to the body
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="setFooter">setFooter</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>setFooter</strong>
                                           (
                                                
                                                        
                                                         footerContent
                                                    
                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the Module's footer content to the HTML specified, or appends the passed element to the footer. If no footer is present, one will be automatically created.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>footerContent &lt;String&gt;</code>
                                                            	The HTML used to set the footer <em>OR</em>
                                                        </dd>
                                                        <dd>
                                                            <code>footerContent &lt;HTMLElement&gt;</code>
                                                            	The HTMLElement to append to the footer
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="setHeader">setHeader</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>setHeader</strong>
                                           (
                                                
                                                        
                                                         headerContent
                                                    
                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the Module's header content to the HTML specified, or appends the passed element to the header. If no header is present, one will be automatically created.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>headerContent &lt;String&gt;</code>
                                                            	The HTML used to set the header <em>OR</em>
                                                        </dd>
                                                        <dd>
                                                            <code>headerContent &lt;HTMLElement&gt;</code>
                                                            	The HTMLElement to append to the header
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="show">show</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>show</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Shows the Module element by setting the visible configuration property to true. Also fires two events: beforeShowEvent prior to the visibility change, and showEvent after.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a String representation of the Object.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd>The string representation of the Module</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>


                        <div class="section method details">
                            <h3><a name="methodDetails">Events</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="appendEvent">appendEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>appendEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired when the Module is appended to the DOM
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="beforeHideEvent">beforeHideEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>beforeHideEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired before the Module is hidden
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="beforeInitEvent">beforeInitEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>beforeInitEvent</strong>

                                            (
                                                
                                                        
                                                         classRef
                                                    
                                                
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired prior to class initalization.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>classRef &lt;class&gt;</code>
                                                            	class reference of the initializing class, such as this.beforeInitEvent.fire(YAHOO.widget.Module)
                                                        </dd>
                                                </dl>


                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="beforeRenderEvent">beforeRenderEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>beforeRenderEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired before the Module is rendered
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="beforeShowEvent">beforeShowEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>beforeShowEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired before the Module is shown
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="changeBodyEvent">changeBodyEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>changeBodyEvent</strong>

                                            (
                                                
                                                        
                                                         content
                                                    
                                                
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired when the body content of the Module is modified
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>content &lt;String/HTMLElement&gt;</code>
                                                            	String/element representing the new body content
                                                        </dd>
                                                </dl>


                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="changeContentEvent">changeContentEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>changeContentEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired when the content of the Module is modified
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="changeFooterEvent">changeFooterEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>changeFooterEvent</strong>

                                            (
                                                
                                                        
                                                         content
                                                    
                                                
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired when the footer content of the Module is modified
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>content &lt;String/HTMLElement&gt;</code>
                                                            	String/element representing the new footer content
                                                        </dd>
                                                </dl>


                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="changeHeaderEvent">changeHeaderEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>changeHeaderEvent</strong>

                                            (
                                                
                                                        
                                                         content
                                                    
                                                
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired when the header content of the Module is modified
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>content &lt;String/HTMLElement&gt;</code>
                                                            	String/element representing the new header content
                                                        </dd>
                                                </dl>


                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="destroyEvent">destroyEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>destroyEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired when the Module is destroyed
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="hideEvent">hideEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>hideEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired after the Module is hidden
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initEvent">initEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>initEvent</strong>

                                            (
                                                
                                                        
                                                         classRef
                                                    
                                                
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired after class initalization.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>classRef &lt;class&gt;</code>
                                                            	class reference of the initializing class, such as this.beforeInitEvent.fire(YAHOO.widget.Module)
                                                        </dd>
                                                </dl>


                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="renderEvent">renderEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>renderEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired after the Module is rendered
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="showEvent">showEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>showEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired after the Module is shown
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="YAHOO.widget.Module.textResizeEvent">YAHOO.widget.Module.textResizeEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>YAHOO.widget.Module.textResizeEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            Singleton CustomEvent fired when the font size is changed in the browser.
Opera's "zoom" functionality currently does not support text size detection.
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>



                        <div class="section field details">
                            <h3><a name="field_detail">Configuration Attributes</a></h3>
                            <div class="content">
                                    <h4><a name="effect">effect</a>
                                        <code>- Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Object or array of objects representing the ContainerEffect classes that are active for animating the container.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />
                                    <h4><a name="monitorresize">monitorresize</a>
                                        <code>- Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Specifies whether to create a special proxy iframe to monitor for user font resizing in the document
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: true
                                    </div>        

                                    <hr />
                                    <h4><a name="visible">visible</a>
                                        <code>- Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Specifies whether the Module is visible on the page.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: true
                                    </div>        

                                    <hr />

                            </div>
                        </div>


			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class="selected"><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Config.html">YAHOO.util.Config</a></li>
                                <li class=""><a href="YAHOO.util.KeyListener.html">YAHOO.util.KeyListener</a></li>
                                <li class=""><a href="YAHOO.widget.ContainerEffect.html">YAHOO.widget.ContainerEffect</a></li>
                                <li class=""><a href="YAHOO.widget.Dialog.html">YAHOO.widget.Dialog</a></li>
                                <li class="selected"><a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a></li>
                                <li class=""><a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a></li>
                                <li class=""><a href="YAHOO.widget.OverlayManager.html">YAHOO.widget.OverlayManager</a></li>
                                <li class=""><a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a></li>
                                <li class=""><a href="YAHOO.widget.SimpleDialog.html">YAHOO.widget.SimpleDialog</a></li>
                                <li class=""><a href="YAHOO.widget.Tooltip.html">YAHOO.widget.Tooltip</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Config.js.html">Config.js</a></li>
                                <li class=""><a href="ContainerEffect.js.html">ContainerEffect.js</a></li>
                                <li class=""><a href="Dialog.js.html">Dialog.js</a></li>
                                <li class=""><a href="KeyListener.js.html">KeyListener.js</a></li>
                                <li class=""><a href="Module.js.html">Module.js</a></li>
                                <li class=""><a href="Overlay.js.html">Overlay.js</a></li>
                                <li class=""><a href="OverlayManager.js.html">OverlayManager.js</a></li>
                                <li class=""><a href="Panel.js.html">Panel.js</a></li>
                                <li class=""><a href="SimpleDialog.js.html">SimpleDialog.js</a></li>
                                <li class=""><a href="Tooltip.js.html">Tooltip.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#body">body</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#browser">browser</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#cfg">cfg</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#contructor">contructor</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#element">element</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#footer">footer</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#header">header</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#id">id</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#imageRoot">imageRoot</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#isSecure">isSecure</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#platform">platform</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Module.CSS_BODY">YAHOO.widget.Module.CSS_BODY</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Module.CSS_FOOTER">YAHOO.widget.Module.CSS_FOOTER</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Module.CSS_HEADER">YAHOO.widget.Module.CSS_HEADER</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Module.CSS_MODULE">YAHOO.widget.Module.CSS_MODULE</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Module.IMG_ROOT">YAHOO.widget.Module.IMG_ROOT</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Module.IMG_ROOT_SSL">YAHOO.widget.Module.IMG_ROOT_SSL</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Module.RESIZE_MONITOR_SECURE_URL">YAHOO.widget.Module.RESIZE_MONITOR_SECURE_URL</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#appendToBody">appendToBody</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#appendToFooter">appendToFooter</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#appendToHeader">appendToHeader</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#configMonitorResize">configMonitorResize</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#configVisible">configVisible</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#destroy">destroy</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#hide">hide</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#init">init</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initDefaultConfig">initDefaultConfig</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initEvents">initEvents</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initResizeMonitor">initResizeMonitor</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#onDomResize">onDomResize</a>
                                </li>
                                <li><!--<code>Boolean</code>-->
                                <a href="#render">render</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#setBody">setBody</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#setFooter">setFooter</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#setHeader">setHeader</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#show">show</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Events</h4>
                        <ul class="content">        
                                <li>
                                <a href="#appendEvent">appendEvent</a>
                                </li>
                                <li>
                                <a href="#beforeHideEvent">beforeHideEvent</a>
                                </li>
                                <li>
                                <a href="#beforeInitEvent">beforeInitEvent</a>
                                </li>
                                <li>
                                <a href="#beforeRenderEvent">beforeRenderEvent</a>
                                </li>
                                <li>
                                <a href="#beforeShowEvent">beforeShowEvent</a>
                                </li>
                                <li>
                                <a href="#changeBodyEvent">changeBodyEvent</a>
                                </li>
                                <li>
                                <a href="#changeContentEvent">changeContentEvent</a>
                                </li>
                                <li>
                                <a href="#changeFooterEvent">changeFooterEvent</a>
                                </li>
                                <li>
                                <a href="#changeHeaderEvent">changeHeaderEvent</a>
                                </li>
                                <li>
                                <a href="#destroyEvent">destroyEvent</a>
                                </li>
                                <li>
                                <a href="#hideEvent">hideEvent</a>
                                </li>
                                <li>
                                <a href="#initEvent">initEvent</a>
                                </li>
                                <li>
                                <a href="#renderEvent">renderEvent</a>
                                </li>
                                <li>
                                <a href="#showEvent">showEvent</a>
                                </li>
                                <li>
                                <a href="#YAHOO.widget.Module.textResizeEvent">YAHOO.widget.Module.textResizeEvent</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Configuration Attributes</h4>
                        <ul class="content">        
                                <li>
                                <a href="#effect">effect</a>
                                </li>
                                <li>
                                <a href="#monitorresize">monitorresize</a>
                                </li>
                                <li>
                                <a href="#visible">visible</a>
                                </li>
                        </ul>
                    </div>

            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
